## Generation of pK18mobsaB-derived plasmid containing flanking regions of the gene of interest.

Primers were designed to amplify a 750-bp DNA sequence (i.e., flanking region) directly upstream and downstream of the target region, sharing terminal sequence overlaps to the linearized pK18mobsacB vector and the other respective flanking region using Geneious Prime. R401 genomic DNA was isolated from 6 μl dense R401 culture in 10 μl of buffer I (pH 12) containing 25 mM NaOH, 0.2 mM EDTA at 95 °C for 30 min, before the pH was readjusted using 10 μl of buffer II (pH 7.5) containing 40 mM Tris-HCl. The R401 genomic DNA was used for amplification of the flanking regions through PCR using the respective flanking region-specific primer combinations **(Table S4)**. PCR was conducted with 0.2 μl Phusion Hot Start High-Fidelity DNA polymerase (New England Biolabs) in 20-μl reactions containing 4 μl 5x Phusion HF buffer (New England Biolabs), 0.4 μl 10 mM dNTPs, 1 μl of 10 μM forward primer, 1 μl of 10 μM reverse primer, 2 μl of R401 genomic DNA as template, filled up to 20 μ1 with nuclease-free water. The tubes were placed into a preheated (98 °C) thermal cycler set at the following program: 98 °C for 30 s, 35 cycles of 98°C for 7 s, 60°C for 20 s, 72°C for 15 s, then a final extension at 72°C for 7 min.
Five microliters of the PCR product were combined with 1 μl Orange DNA Loading Dye (6x; New England Biolabs), loaded on 1% agarose gels containing 0.05% EtBr, and run at 110 mV. After confirmation of successful amplification, the PCR product was purified using AMPure XP (Beckman-Coulter) and subsequently quantified using Nanodrop (Thermo Fisher Scientific). Plasmid purification was performed on an *E. coli* culture containing plasmid pK18mobsacB using the QIAprep Spin Miniprep Kit for plasmid DNA purification (QIAGEN) following the manufacturer's instructions. The pkl8mobsacB vector was then amplified and linearized through PCR using the PKSF and PKSR primers
361 **(Table S4)**. PCR was conducted with 0.2 μl Phusion Hot Start High-Fidelity DNA polymerase (New England Biolabs) in 20-μl reactions, largely as described above with 1 μl 0.1 ng/μl pkl8mobsac as a template. Annealing temperature was decreased to 55 °C and extension time increased to 150 s for each cycle. Template DNA was digested by DpnI (New England Biolabs) in 50-μl reactions containing 1 μl DpnI, 1 μg DNA, 5 μl Cutsmart buffer (New England Biolabs) and filled up to 50 μl with nuclease-free water. The tubes were then incubated at 37 °C for 15 min followed by heat inactivation at 80 °C for 20 min. Five microliters of the DpnI-digested plasmid were combined with 1 μl Orange DNA Loading Dye and analysed by DNA agarose electrophoresis. Upon successful verification of amplification and digestion, the remaining sample was purified using AMPure XP and subsequently quantified using Nanodrop. Linearized pK18mobsacB and both flanking regions were mixed in a molar ratio of 1:3:3 into a 10-μl total volume, added to 10 μl 2X Gibson Assembly® Master Mix (New England Biolabs) and incubated at 50 °C for 1 h.
